using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using digioz;

namespace digioz
{
    public class DataFactory
    {
        public static IDataRelational GetDataObject(PortalSettings poPortalSettings)
        {
            IDataRelational loData = null;

            if (poPortalSettings.DBType == "MSSQL")
            {
                loData = new MSSQL(poPortalSettings);
            }
            else if (poPortalSettings.DBType == "MYSQL")
            {
                // logic here
            }

            return loData;
        }
    }
}